import pygtk
pygtk.require('2.0')
import gobject
import gtk
import gtk.glade

gladefile = gtk.glade.XML("networkconnection.glade")

class NetworkConnection:

    def destroy(self, widget, data=None):
        gtk.main_quit()

    def __init__(self):
        gladefile.signal_autoconnect(self)

        self.__mainTreeStore = gtk.TreeStore(gobject.TYPE_STRING)
        lan1 = self.__mainTreeStore.append(parent=None, row=("Local Area Connection 1",))
        lan2 = self.__mainTreeStore.append(parent=None, row=("Local Area Connection 2",))
        isp = self.__mainTreeStore.append(parent=None, row=("Some ISP",))
        
        self.__mainTreeStore.append(parent=lan1, row=("Client for Microsoft Networks",))
        self.__mainTreeStore.append(parent=lan1, row=("File and Printer Sharing for Microsoft Networks",))
        self.__mainTreeStore.append(parent=lan1, row=("NWLink NetBIOS",))
        tcpip = self.__mainTreeStore.append(parent=lan1, row=("Internet Protocol TCP/IP",))
        
        self.__mainTreeStore.append(parent=lan2, row=("Client for Microsoft Networks",))
        self.__mainTreeStore.append(parent=lan2, row=("File and Printer Sharing for Microsoft Networks",))
        self.__mainTreeStore.append(parent=lan2, row=("NWLink NetBIOS",))
        self.__mainTreeStore.append(parent=lan2, row=("Internet Protocol TCP/IP",))

        self.__mainTreeStore.append(parent=tcpip, row=("IP Settings",))
        self.__mainTreeStore.append(parent=tcpip, row=("DNS",))
        self.__mainTreeStore.append(parent=tcpip, row=("WINS",))
        
        cellRenderer = gtk.CellRendererText()
        column = gtk.TreeViewColumn('Kolom 1', cellRenderer, text=0)

        self.__mainTreeView = gladefile.get_widget("mainTreeView")
        self.__mainTreeView.set_model(self.__mainTreeStore)
        self.__mainTreeView.append_column(column)

        self.__IPListStore = gtk.ListStore(gobject.TYPE_STRING, gobject.TYPE_STRING)
        self.__IPListStore.append(row=("DHCP Enabled",""))

        column1 = gtk.TreeViewColumn('IP address', cellRenderer, text=0)
        column2 = gtk.TreeViewColumn('Subnet mask', cellRenderer, text=0)

        self.__IPListView = gladefile.get_widget("IPListView")
        self.__IPListView.set_model(self.__IPListStore)        
        self.__IPListView.append_column(column1)
        self.__IPListView.append_column(column2)
        
        self.__gatewayListStore = gtk.ListStore(gobject.TYPE_STRING, gobject.TYPE_STRING)
        self.__gatewayListStore.append(row=("10.0.0.1","1"))

        column1 = gtk.TreeViewColumn('Gateway', cellRenderer, text=0)
        column2 = gtk.TreeViewColumn('Metric', cellRenderer, text=0)

        self.__gatewayListView = gladefile.get_widget("gatewayListView")
        self.__gatewayListView.set_model(self.__gatewayListStore)        
        self.__gatewayListView.append_column(column1)
        self.__gatewayListView.append_column(column2)

# If the program is run directly or passed as an argument to the python
# interpreter then create a HelloWorld instance and show it
if __name__ == "__main__":
    hello = NetworkConnection()
    gtk.main()
